import { getRequestEvent, query } from '$app/server';
import { tagQuerySchema } from '$lib/schema/tag';
import { createQueryParams } from '$lib/utils';
import { error } from '@sveltejs/kit';

export const listTags = query(tagQuerySchema, async (data) => {
	const { locals } = getRequestEvent();

	const params = createQueryParams(data);

	const response = await locals.api.get(`/tags?${params.toString()}`);

	if (!response.ok) error(500, 'An unkown error occurred');

	return await response.json();
});
